For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet all task types
      • GETGet all tasks
      • POSTCreate a task
      • GETGet a task
      • DELDelete a task
      • PATCHUpdate a task
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMTasks

Get a task

GET
https://api.brevo.com/v3/crm/tasks/:id
GET
/v3/crm/tasks/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.tasks.getATask("id");
8}
9main();
1{
2 "taskTypeId": "61a5cd07ca1347c82306ad09",
3 "name": "Task: Connect with client",
4 "date": "2021-11-01T17:44:54.668Z",
5 "id": "61a5cd07ca1347c82306ad06",
6 "companiesIds": [
7 "61a5ce58c5d4795761045990",
8 "61a5ce58c5d4795761045991",
9 "61a5ce58c5d4795761045992"
10 ],
11 "dealsIds": [
12 "61a5ce58c5d4795761045990",
13 "61a5ce58c5d4795761045991",
14 "61a5ce58c5d4795761045992"
15 ],
16 "contactsIds": [
17 1,
18 2,
19 3
20 ],
21 "assignToId": "5faab4b7f195bb3c4c31e62a",
22 "notes": "In communication with client for resolution of queries.",
23 "done": false,
24 "createdAt": "2021-11-01T17:44:54.668Z",
25 "updatedAt": "2021-11-01T17:44:54.668Z"
26}
Retrieve the full details of a single CRM task by its identifier. The response includes the task''s name, type, status, due date, duration, notes, assignee, reminder settings, and linked contacts, companies, or deals.
Was this page helpful?
Previous

Delete a task

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired

Response

Returns the Task by id
taskTypeIdstring

Id for type of task e.g Call / Email / Meeting etc.

namestring
Name of task
datedatetime
Task due date and time
idstring
Unique task id
companiesIdslist of strings
Companies ids for companies a task is linked to
dealsIdslist of strings
Deal ids for deals a task is linked to
contactsIdslist of integers
Contact ids for contacts linked to this task
assignToIdstring
Account id of the user assigned to this task
notesstring
Notes added to a task
doneboolean
Whether the task is marked as done
createdAtdatetime

Task creation date/time

updatedAtdatetime

Task last update date/time

Errors

400
Bad Request Error
404
Not Found Error